/*
 * CockeYoungerKasami.cpp
 *
 *  Created on: 22. 3. 2014
 *	  Author: Jan Travnicek
 */

#include "CockeYoungerKasami.h"
#include <registration/AlgoRegistration.hpp>

namespace grammar {

namespace generate {

auto CockeYoungerKasamiCNF = registration::OverloadRegister < CockeYoungerKasami, bool, grammar::CNF < > > ( CockeYoungerKasami::generate );

bool CockeYoungerKasami::generate ( const grammar::Grammar & grammar, const string::LinearString < > & string ) {
	return dispatch ( grammar.getData ( ), string );
}

} /* namespace generate */

} /* namespace grammar */
