/*
 * BadCharacterShiftTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka, Jan Travnicek
 */

#include "BadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace properties {

std::map<DefaultSymbolType, size_t> BadCharacterShiftTable::bcs(const string::String& pattern) {
	return dispatch(pattern.getData());
}

auto BadCharacterShiftTableLinearString = registration::OverloadRegister < BadCharacterShiftTable, std::map < DefaultSymbolType, size_t >, string::LinearString < > > ( BadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace string */
