/*
 * DeadZoneUsingBadCharacterShift.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka
 */

#include "DeadZoneUsingBadCharacterShift.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace exact {

std::set < unsigned > DeadZoneUsingBadCharacterShift::match ( const string::String & subject, const string::String & pattern ) {
	return dispatch ( subject.getData ( ), pattern.getData ( ) );
}

auto DeadZoneUsingBadCharacterShiftLinearStringLinearString = registration::OverloadRegister < DeadZoneUsingBadCharacterShift, std::set < unsigned >, string::LinearString < >, string::LinearString < > > ( DeadZoneUsingBadCharacterShift::match );

} /* namespace exact */

} /* namespace stringology */
