#ifndef _CLI_PRINT_RESULT_STATEMENT_H_
#define _CLI_PRINT_RESULT_STATEMENT_H_

#include <ast/Statement.h>

namespace cli {

class PrintResultStatement : public Statement {
public:
	PrintResultStatement ( ) {
	}

	virtual std::shared_ptr < abstraction::OperationAbstraction > translateAndEval ( const std::shared_ptr < abstraction::OperationAbstraction > & prev, Environment & ) const override {
		std::shared_ptr < abstraction::OperationAbstraction > res = prev->getValuePrinterFromResult ( );
		res->attachInput ( prev, 0 );
		res->eval ( );
		return res;
	}

};

} /* namespace cli */

#endif /* _CLI_PRINT_RESULT_STATEMENT_H_ */
