/*
 * ResultClassSelector.hpp
 *
 *  Created on: 11. 7. 2017
 *	  Author: Jan Travnicek
 */

#ifndef _RESULT_CLASS_SELECTOR_H_
#define _RESULT_CLASS_SELECTOR_H_

#include <abstraction/VoidOperationAbstraction.hpp>
#include <abstraction/ValueOperationAbstraction.hpp>
#include <tuple>

namespace abstraction {

template < class ReturnType >
struct ResultClassSelector {
	typedef ValueOperationAbstraction < ReturnType > OutputClass;
};

template < >
struct ResultClassSelector < void > {
	typedef VoidOperationAbstraction OutputClass;
};

} /* namespace abstraction */

#endif /* _RESULT_CLASS_SELECTOR_H_ */
