/*
 * ObjectsTree.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsTree.h"
#include "Container.h"

#include <registration/TypeRegistration.hpp>

namespace alib {

auto objectsTreeType = registration::TypeRegister < container::Container, container::ObjectsTree < > > ( );
auto objectsTreeType2 = registration::TypeRegister < alib::Object, container::ObjectsTree < > > ( );

} /* namespace alib */
