/*
 * Object.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Martin Zak
 */

#ifndef OBJECT_H_
#define OBJECT_H_

#include "../base/WrapperBase.hpp"
#include "ObjectBase.h"

namespace alib {

/**
 * Wrapper around object.
 */
class Object : public alib::WrapperBase < ObjectBase > {
	using alib::WrapperBase < ObjectBase >::WrapperBase;

public:
	explicit Object ( Object label1, Object label2 );
	explicit Object ( int number );
	explicit Object ( int number1, int number2 );
	explicit Object ( char character );
	explicit Object ( std::string string );
	explicit Object ( const char * string );

	void inc ( );

};

} /* namespace alib */

#endif /* OBJECT_H_ */
