/*
 * CFG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "CFG.h"
#include "../Grammar.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace alib {

auto CFGType = registration::TypeRegister < grammar::Grammar, grammar::CFG < > > ( );
auto CFGType2 = registration::TypeRegister < alib::Object, grammar::CFG < > > ( );

auto CFGEpsilonFreeCFG = registration::CastRegister < grammar::CFG < >, grammar::EpsilonFreeCFG < > > ( );

} /* namespace alib */
