/*
 * Author: Radovan Cerveny
 */

#include "MeasurementProvisionerResults.hpp"
#include "MeasurementProvisionerResultsXml.hpp"
#include "sax/SaxComposeInterface.h"

namespace measurements {

std::ostream & operator <<( std::ostream & os, const MeasurementProvisionerResults & mpr ) {
	sax::SaxComposeInterface::printStream ( os, MeasurementProvisionerResultsXml::compose ( mpr ) );

	return os;
}

}
