/*
 * iostream.hpp
 *
 * Created on: Feb 12, 2016
 * Author: Radovan Cerveny
 */

#ifndef __IOSTREAM_HPP_
#define __IOSTREAM_HPP_

#include <iostream>
#include <array>

#include "fdstream.hpp"

namespace std {

extern const int CERR_FD;

 // used for measurements output
extern const int CMEASURE_FD;
extern ofdstream cmeasure;

extern fdaccessor clog_fdaccessor;
extern fdstreambuf clog_fdstreambuf;

class RelinkIO {
public:
	RelinkIO ( );
	~RelinkIO ( );
};

 // following the way of stdlibc++
extern RelinkIO relinkio;
}

#endif /* __IOSTREAM_HPP_ */
