/*
 * typeinfo.cpp
 *
 * Created on: Apr 14, 2016
 * Author: Jan Travnicek
 */

#include <typeinfo>
#include <typeindex>
#include <iostream>

namespace std {

	string type_name(const std::type_info& type) {
		return type_name ( type_index ( type ) );
	}

	std::ostream & operator << ( std::ostream & os, const std::type_info & type ) {
		os << type.name ( );
		return os;
	}

} /* namespace std */
