/*
 * AutomatonStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "AutomatonStringApi.hpp"
#include "automaton/AutomatonFromStringParser.h"
#include "automaton/AutomatonToStringComposer.h"

namespace alib {

automaton::Automaton stringApi < automaton::Automaton >::parse ( std::istream & input ) {
	return automaton::AutomatonFromStringParser::parseAutomaton ( input );
}

void stringApi < automaton::Automaton >::compose ( std::ostream & output, const automaton::Automaton & data ) {
	return automaton::AutomatonToStringComposer::compose ( output, data );
}

} /* namespace alib */
