/*
 * GraphStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef GRAPH_STRING_API_HPP_
#define GRAPH_STRING_API_HPP_

#include <StringApi.hpp>
#include <graph/Graph.h>

namespace alib {

template < >
struct stringApi < graph::Graph > {
	static graph::Graph parse ( std::istream & input );
	static void compose ( std::ostream & output, const graph::Graph & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
