/*
 * RegExpIntegral.cpp
 *
 *  Created on: 24. 2. 2014
 *	  Author: Tomas Pecka
 */

#include "RegExpIntegral.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

regexp::RegExp RegExpIntegral::integral(const regexp::RegExp& regexp, const string::LinearString < >& string) {
	return dispatch(regexp.getData(), string);
}

auto RegExpIntegralFormalRegExp = registration::OverloadRegister < RegExpIntegral, regexp::FormalRegExp < >, regexp::FormalRegExp < > > ( RegExpIntegral::integral );
auto RegExpIntegralUnboundedRegExp = registration::OverloadRegister < RegExpIntegral, regexp::UnboundedRegExp < >, regexp::UnboundedRegExp < > > ( RegExpIntegral::integral );

} /* namespace regexp */
