/*
 * NormalizeRotation.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Radomir Polach
 */

#include "NormalizeRotation.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace simplify {

string::String NormalizeRotation::normalize(const string::String& string) {
	return dispatch(string.getData());
}

auto NormalizeRotationCyclicString = registration::OverloadRegister < NormalizeRotation, string::CyclicString < >, string::CyclicString < > > ( NormalizeRotation::normalize );

} /* namespace simplify */

} /* namespace string */
