/*
 * WideBNDMOccurrences.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "WideBNDMOccurrences.h"

#include <string/LinearString.h>
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

std::set < unsigned > WideBNDMOccurrences::query ( const indexes::stringology::BitParallelIndex < DefaultSymbolType > & pattern, const string::String & subject ) {
	return dispatch ( pattern, subject.getData ( ) );
}

auto wideBNDMOccurrencesLinearString = registration::OverloadRegister < WideBNDMOccurrences, std::set < unsigned >, string::LinearString < > > ( WideBNDMOccurrences::query );

} /* namespace query */

} /* namespace stringology */
