/*
 * RTE.h
 *
 *  Created on: Feb 20, 2016
 *      Author: Tomas Pecka
 */

#ifndef RTE_H_
#define RTE_H_

#include "RTEBase.h"
#include <base/WrapperBase.hpp>

#include "../alphabet/SymbolFeatures.h"
#include <set>
#include <string>

namespace rte {

/**
 * Wrapper around automata.
 */
class RTE : public alib::WrapperBase < RTEBase > {
	using alib::WrapperBase < RTEBase >::WrapperBase;

public:
	const std::set < std::ranked_symbol < > > & getAlphabet ( ) const;
	const std::set < std::ranked_symbol < > > & getSubstitutionAlphabet ( ) const;

};

} /* namespace rte */

#endif /* RTE_H_ */
