/*
 * CyclicString.cpp
 *
 *  Created on: Nov 23, 2013
 *	  Author: Jan Travnicek
 */

#include "CyclicString.h"
#include "String.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace alib {

auto cyclicStringType = registration::TypeRegister < string::String, string::CyclicString < > > ();
auto cyclicStringType2 = registration::TypeRegister < alib::Object, string::CyclicString < > > ();

auto CyclicStringFromEpsilon = registration::CastRegister < string::CyclicString < >, string::Epsilon < > > ( );

} /* namespace alib */
