/*
 * UnrankedTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Stepan Plachy
 */

#include "UnrankedTree.h"
#include "../Tree.h"
#include "../UnrankedTreeWrapper.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace alib {

auto unrankedTreeType = registration::TypeRegister < tree::Tree, tree::UnrankedTree < > > ( );
auto unrankedTreeType2 = registration::TypeRegister < tree::UnrankedTreeWrapper, tree::UnrankedTree < > > ( );
auto unrankedTreeType3 = registration::TypeRegister < alib::Object, tree::UnrankedTree < > > ( );

auto UnrankedTreeFromRankedTree = registration::CastRegister < tree::UnrankedTree < >, tree::RankedTree < > > ( );

auto UnrankedTreeName = registration::NameRegister < tree::UnrankedTree < > > ( tree::UnrankedTree < >::getXmlTagName ( ) );

} /* namespace alib */
