/*
 * ObjectStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef OBJECT_STRING_API_HPP_
#define OBJECT_STRING_API_HPP_

#include "../StringApi.hpp"
#include <object/Object.h>

namespace alib {

template < >
struct stringApi < alib::Object > {
	static alib::Object parse ( std::istream & input );

	static void compose ( std::ostream & output, const alib::Object & data );
};

} /* namespace alib */


#endif /* OBJECT_STRING_API_HPP_ */
